AgentConnect
Agents

Read a memory file

Proxy one byte slice of a memory file (?path defaults to MEMORY.md) live from the owning daemon; a missing file is data (exists:false). 503 when unplaced or the daemon is offline. 503 also when the memory home of the agent is not reachable right now; code says why.

GET
/v1/orgs/{orgId}/agents/{id}/memory/file

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string
id*string

Query Parameters

channelKey?string
Match^[A-Za-z0-9._-]+$
Length1 <= length <= 120
path?string
Length1 <= length
offset?integer
Range0 <= value <= 9007199254740991
limit?integer
Range0 < value <= 65536

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/orgs/string/agents/string/memory/file"
{  "path": "string",  "exists": true,  "size": 0,  "mtime": "string",  "content": "string",  "offset": 0,  "nextOffset": 0,  "truncated": true}